/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.chemistry.opencmis.workbench.icons;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.GeneralPath;

public class PolicyIcon extends AbstractWorkbenchIcon {

    public PolicyIcon() {
        super();
    }

    public PolicyIcon(int width, int height) {
        super(width, height);
    }

    @Override
    protected int getOrginalHeight() {
        return 64;
    }

    @Override
    protected int getOrginalWidth() {
        return 64;
    }

    @Override
    protected Color getColor() {
        return new Color(0x73a4d1);
    }

    @Override
    protected void paint(Graphics2D g) {
        GeneralPath shape = new GeneralPath();

        shape.moveTo(61.0, 42.0);
        shape.curveTo(60.594, 42.0, 60.207, 42.083, 59.853, 42.229);
        shape.lineTo(59.853, 42.228);
        shape.lineTo(59.84, 42.233);
        shape.curveTo(59.836, 42.235, 59.831, 42.236, 59.827, 42.238003);
        shape.lineTo(32.0, 53.753);
        shape.lineTo(4.174, 42.239);
        shape.curveTo(4.1699996, 42.237, 4.165, 42.234997, 4.161, 42.233997);
        shape.lineTo(4.148, 42.228996);
        shape.lineTo(4.147, 42.229996);
        shape.curveTo(3.793, 42.083, 3.406, 42.0, 3.0, 42.0);
        shape.curveTo(1.343, 42.0, 0.0, 43.343, 0.0, 45.0);
        shape.curveTo(0.0, 46.25, 0.766, 47.32, 1.853, 47.771);
        shape.lineTo(1.853, 47.772);
        shape.lineTo(30.827002, 59.761);
        shape.curveTo(30.831001, 59.763, 30.836002, 59.765003, 30.840002, 59.766003);
        shape.lineTo(30.853003, 59.771004);
        shape.lineTo(30.854002, 59.770004);
        shape.curveTo(31.207, 59.917, 31.594, 60.0, 32.0, 60.0);
        shape.curveTo(32.406, 60.0, 32.793, 59.917, 33.147, 59.771);
        shape.lineTo(33.148, 59.772);
        shape.lineTo(33.161, 59.767);
        shape.curveTo(33.165, 59.765, 33.17, 59.762997, 33.174, 59.761997);
        shape.lineTo(62.147, 47.772995);
        shape.lineTo(62.147, 47.771996);
        shape.curveTo(63.234, 47.32, 64.0, 46.25, 64.0, 45.0);
        shape.curveTo(64.0, 43.343, 62.657, 42.0, 61.0, 42.0);
        shape.closePath();
        shape.moveTo(1.854, 21.771);
        shape.lineTo(1.854, 21.772);
        shape.lineTo(30.828001, 33.761);
        shape.curveTo(30.832, 33.763, 30.837002, 33.764, 30.841002, 33.766003);
        shape.lineTo(30.854002, 33.771004);
        shape.lineTo(30.855001, 33.770004);
        shape.curveTo(31.207, 33.917, 31.594, 34.0, 32.0, 34.0);
        shape.curveTo(32.406, 34.0, 32.793, 33.917, 33.147, 33.771);
        shape.lineTo(33.148, 33.772);
        shape.lineTo(33.161, 33.767);
        shape.curveTo(33.165, 33.765, 33.17, 33.762997, 33.174, 33.761997);
        shape.lineTo(62.147, 21.772997);
        shape.lineTo(62.147, 21.771997);
        shape.curveTo(63.234, 21.32, 64.0, 20.25, 64.0, 19.0);
        shape.curveTo(64.0, 17.75, 63.234, 16.68, 62.147, 16.229);
        shape.lineTo(62.147, 16.228);
        shape.lineTo(33.174, 4.239);
        shape.curveTo(33.17, 4.237, 33.165, 4.2349997, 33.161, 4.2339997);
        shape.lineTo(33.148, 4.2289996);
        shape.lineTo(33.147, 4.2299995);
        shape.curveTo(32.793, 4.083, 32.406, 4.0, 32.0, 4.0);
        shape.curveTo(31.594, 4.0, 31.207, 4.083, 30.854, 4.229);
        shape.lineTo(30.853, 4.228);
        shape.lineTo(30.84, 4.233);
        shape.curveTo(30.836, 4.2349997, 30.831, 4.237, 30.827, 4.238);
        shape.lineTo(1.853, 16.228);
        shape.lineTo(1.853, 16.229);
        shape.curveTo(0.766, 16.68, 0.0, 17.75, 0.0, 19.0);
        shape.curveTo(0.0, 20.25, 0.766, 21.32, 1.854, 21.771);
        shape.closePath();
        shape.moveTo(61.0, 29.0);
        shape.curveTo(60.594, 29.0, 60.207, 29.083, 59.853, 29.229);
        shape.lineTo(59.853, 29.228);
        shape.lineTo(59.84, 29.234001);
        shape.curveTo(59.836, 29.236002, 59.831, 29.238, 59.827, 29.239);
        shape.lineTo(32.0, 40.753);
        shape.lineTo(4.174, 29.239);
        shape.curveTo(4.1699996, 29.237, 4.165, 29.235, 4.161, 29.234001);
        shape.lineTo(4.148, 29.228);
        shape.lineTo(4.147, 29.229);
        shape.curveTo(3.793, 29.083, 3.406, 29.0, 3.0, 29.0);
        shape.curveTo(1.343, 29.0, 0.0, 30.343, 0.0, 32.0);
        shape.curveTo(0.0, 33.251, 0.766, 34.32, 1.853, 34.771);
        shape.lineTo(1.853, 34.772);
        shape.lineTo(30.827002, 46.761);
        shape.curveTo(30.831001, 46.763, 30.836002, 46.764, 30.840002, 46.766003);
        shape.lineTo(30.853003, 46.771004);
        shape.lineTo(30.854002, 46.770004);
        shape.curveTo(31.207, 46.917, 31.594, 47.0, 32.0, 47.0);
        shape.curveTo(32.406, 47.0, 32.793, 46.917, 33.147, 46.771);
        shape.lineTo(33.148, 46.772);
        shape.lineTo(33.161, 46.767);
        shape.curveTo(33.165, 46.765, 33.17, 46.762997, 33.174, 46.761997);
        shape.lineTo(62.147, 34.772995);
        shape.lineTo(62.147, 34.771996);
        shape.curveTo(63.234, 34.32, 64.0, 33.251, 64.0, 32.0);
        shape.curveTo(64.0, 30.343, 62.657, 29.0, 61.0, 29.0);
        shape.closePath();

        g.setPaint(getColor());
        g.fill(shape);
    }
}
